GET
/v1/auth/me

Response Body

application/json

curl -X GET "https://example.com/v1/auth/me"
{
  "username": "string",
  "role": "string"
}
GET
/v1/responses/{response_id}

Path Parameters

response_id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/responses/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "string",
  "object": "response",
  "created_at": 0,
  "model": "string",
  "status": "in_progress",
  "incomplete_details": {
    "reason": "max_output_tokens"
  },
  "output": [
    {
      "type": "message",
      "id": "string",
      "role": "assistant",
      "status": "completed",
      "content": [
        {
          "type": "output_text",
          "text": "string",
          "annotations": [
            null
          ]
        }
      ]
    }
  ],
  "error": {
    "code": "string",
    "message": "string"
  },
  "usage": {
    "input_tokens": 0,
    "output_tokens": 0,
    "total_tokens": 0,
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens_details": {
      "reasoning_tokens": 0
    }
  },
  "service_tier": "default"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
DELETE
/v1/responses/{response_id}

Path Parameters

response_id*string
Formatuuid

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/responses/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "string",
  "object": "response",
  "created_at": 0,
  "model": "string",
  "status": "in_progress",
  "incomplete_details": {
    "reason": "max_output_tokens"
  },
  "output": [
    {
      "type": "message",
      "id": "string",
      "role": "assistant",
      "status": "completed",
      "content": [
        {
          "type": "output_text",
          "text": "string",
          "annotations": [
            null
          ]
        }
      ]
    }
  ],
  "error": {
    "code": "string",
    "message": "string"
  },
  "usage": {
    "input_tokens": 0,
    "output_tokens": 0,
    "total_tokens": 0,
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens_details": {
      "reasoning_tokens": 0
    }
  },
  "service_tier": "default"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/v1/responses

Query Parameters

limit?integer
Default100
stream_id?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/responses"
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "object": "response",
      "created_at": 0,
      "model": "string",
      "status": "in_progress"
    }
  ],
  "has_more": false
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
POST
/v1/responses

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/responses" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "input": "string"  }'
{
  "id": "string",
  "object": "response",
  "created_at": 0,
  "model": "string",
  "status": "in_progress",
  "incomplete_details": {
    "reason": "max_output_tokens"
  },
  "output": [
    {
      "type": "message",
      "id": "string",
      "role": "assistant",
      "status": "completed",
      "content": [
        {
          "type": "output_text",
          "text": "string",
          "annotations": [
            null
          ]
        }
      ]
    }
  ],
  "error": {
    "code": "string",
    "message": "string"
  },
  "usage": {
    "input_tokens": 0,
    "output_tokens": 0,
    "total_tokens": 0,
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens_details": {
      "reasoning_tokens": 0
    }
  },
  "service_tier": "default"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/v1/responses/events

Query Parameters

stream_id?string|null
limit?integer
Default20
starting_after?string|null
ending_before?string|null
wait_ms?integer
Default0

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/responses/events"
{
  "object": "list",
  "data": [
    {
      "completion_id": "string",
      "response_id": "string",
      "custom_id": "string",
      "status": "string",
      "result": {
        "property1": null,
        "property2": null
      },
      "error": {
        "property1": null,
        "property2": null
      },
      "prompt_tokens": 0,
      "completion_tokens": 0,
      "total_tokens": 0,
      "cost_micros": 0,
      "completed_at": "string"
    }
  ],
  "has_more": true
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
POST
/v1/chat/completions

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/chat/completions" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "messages": [      {        "role": "string"      }    ]  }'
{
  "property1": null,
  "property2": null
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
POST
/v1/embeddings

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/embeddings" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "input": "string"  }'
{
  "property1": null,
  "property2": null
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
POST
/v1/messages

Query Parameters

beta?boolean|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/messages" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "max_tokens": 0,    "messages": [      {        "role": "user",        "content": "string"      }    ]  }'
{
  "property1": null,
  "property2": null
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
GET
/v1/models

Response Body

application/json

curl -X GET "https://example.com/v1/models"
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "object": "model",
      "created": 0,
      "owned_by": "sference",
      "display_name": "string",
      "modality": "text_generation",
      "capabilities": {
        "image_input": {
          "supported": false
        },
        "pdf_input": {
          "supported": false
        },
        "thinking": {
          "supported": false,
          "types": {
            "enabled": {
              "supported": false
            },
            "adaptive": {
              "supported": false
            }
          }
        },
        "tools": {
          "supported": false
        },
        "dimensions": 0
      },
      "context_tokens": 0,
      "provider": "string",
      "pricing": {
        "input_per_million_usd": 0,
        "output_per_million_usd": 0,
        "cached_input_per_million_usd": 0
      },
      "released": "string"
    }
  ]
}